* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: rgb(221, 221, 221);
}

h1,
h2,
h3,
h4,
h5 {
  font-family: "Aldrich", "Times New Roman", Times, serif;
  color: rgb(70, 70, 70);
  margin: 4px;
  text-align: center;
}

h1 {
  font-size: 26px;
}

h2 {
  font-size: 16px;
}

h3 {
  font-size: 14px;
}

h4 {
  font-size: 11px;
}

h5 {
  font-size: 10px;
  font-weight: lighter;
  color: #979797;
}

p,
a,
li,
label {
  font-family: "Monda", "Times New Roman", Times, serif;
  font-size: 12px;
  color: rgb(70, 70, 70);
}

li {
  display: inline;
}

/* main structure */
.main-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-areas:
    "header header header header header header"
    "account account date date date date"
    "menu menu main main main main"
    "menu menu footer footer footer footer";
  grid-gap: 5px;
  background-color: #e7e7e7;
  background: linear-gradient(
    to bottom,
    #f8f8f8 0%,
    #e4e4e4 50px,
    #dadada 92%,
    #c2c2c2 100%
  );

  border-left: 1px solid rgb(194, 194, 194);
  border-right: 1px solid rgb(194, 194, 194);
  border-bottom: 1px solid rgb(173, 173, 173);
  box-shadow: 0px 0px 13px -7px rgba(0, 0, 0, 0.4);
  border-radius: 8px;

  margin: auto;
  /* padding: 20px 10px; */
  width: 80%;
  max-width: 900px;
  min-width: 350px;
}

.header-area {
  grid-area: header;
  padding-top: 25px;
  padding-bottom: 75px;
  background-image: url("img/cloud-pattern.png"), url("img/plane.svg");
  background-repeat: repeat-x, no-repeat;
  background-position: bottom, right;
}

.account-area {
  grid-area: account;
  text-align: center;
}
.date-area {
  grid-area: date;
  text-align: center;
}
.menu-area {
  grid-area: menu;
  margin: 0 5px 10px 10px;
  text-align: center;
}
.main-area {
  grid-area: main;
  background-color: rgb(245, 245, 245);
  box-shadow: 0px 8px 5px -7px rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  padding: 10px;
  margin: 0 10px 10px 0;
}
.footer-area {
  grid-area: footer;
  margin: 10px;
  height: 30px;
  text-align: center;
}

.footer-area p,
.footer-area a {
  color: rgb(133, 133, 133);
}

/* main item */
.menu-item1,
.menu-item2 {
  padding: 2%;
  margin-bottom: 10px;
  border-radius: 4px;
}

.menu-item1 {
  background-color: rgb(66, 189, 29);
  background: linear-gradient(
    to bottom,
    rgb(83, 218, 42) 5%,
    rgb(66, 189, 29) 30%,
    rgb(45, 153, 12) 90%
  );
}

.menu-item2 {
  background-color: rgb(189, 61, 29);
  background: linear-gradient(
    to bottom,
    rgb(226, 82, 45) 5%,
    rgb(189, 61, 29) 30%,
    rgb(163, 49, 20) 90%
  );
}

.menu-item1 h3,
.menu-item1 li,
.menu-item2 h3,
.menu-item2 li {
  color: #fff;
}

.menu-ordered-list {
  background-color: rgb(250, 250, 250);
  margin: 2px 4px;
  border-radius: 4px;
}

.menu-ordered-list > label {
  margin: 2px;
  display: inline-block;
}

/* inputs */
input[type="text"],
input[type="submit"],
input[type="number"],
/* input[type="checkbox"]:checked + label, */
input[type="date"] {
  font-family: "Aldrich", "Times New Roman", Times, serif;
  font-size: 11px;
  background-color: rgb(250, 250, 250);
  border: 1px solid rgb(250, 250, 250);
  color: rgb(180, 180, 180);
  padding: 5px;
  margin: 2px 0;
  height: 25px;
  border-radius: 4px;
  display: inline-block;
  transition: all 0.3s;
}

input[type="text"]:hover,
input[type="submit"]:hover,
input[type="checkbox"]:hover,
input[type="date"]:hover {
  background-color: rgb(255, 255, 255);
}

input[type="text"]:active,
input[type="submit"]:active,
input[type="date"]:active {
  background-color: rgb(240, 240, 240);
  box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.4);
}

input[type="text"] {
  box-sizing: border-box;
}

input[type="text"]::placeholder {
  color: rgb(180, 180, 180);
}

input[type="submit"] {
  color: rgb(61, 43, 28);
  border: 1px solid rgb(255, 255, 255);
  cursor: pointer;
}

.main-area input[type="submit"] {
  box-shadow: 0px 0px 4px 0px rgba(80, 80, 80, 0.4);
}

.main-area input[type="submit"]:hover {
  box-shadow: 0px 0px 4px 0px rgba(80, 80, 80, 0.8);
}

.main-area input[type="date"] {
  box-shadow: 0px 0px 4px 0px rgba(80, 80, 80, 0.4);
  cursor: pointer;
}

.main-area input[type="date"]:hover {
  box-shadow: 0px 0px 4px 0px rgba(80, 80, 80, 0.8);
}

/* main items */

#main-items {
  padding: 4px;
  /* overflow-y: scroll; */
  transition: all 0.5s;
}

.main-item {
  display: grid;
  grid-template-columns: 13% 24% 40% 23%;
  gap: 2px;

  padding: 2px 10px;
  margin: 10px 0;
  box-shadow: 0px 0px 4px 0px rgba(80, 80, 80, 0.4);
  border-radius: 4px;
  transition: all 0.3s;
}
.main-item > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

.main-item input[type="number"] {
  margin-left: 5px;
  width: 77%;
  text-align: center;
  margin-bottom: 2px;
  border: 0px;
  color: rgb(92, 92, 92);
  box-shadow: 0px 0px 4px 0px rgba(80, 80, 80, 0.4);
}
.main-item input[type="number"]::placeholder {
  color: rgb(180, 180, 180);
}

.main-item input[type="submit"] {
  margin-left: 5px;
  width: 80%;
  background-color: rgb(66, 189, 29);
  color: #fff;
}

.main-item input[type="submit"]:hover {
  margin-left: 5px;
  width: 80%;
  background-color: rgb(78, 201, 40);
  color: #fff;
}

.main-item input[type="submit"]:active {
  margin-left: 5px;
  width: 80%;
  background-color: rgb(52, 163, 19);
  color: #fff;
}

.main-item:hover {
  background-color: #fff;
  box-shadow: 0px 0px 4px 0px rgba(80, 80, 80, 0.8);
}

/* search and sort */
.main-search {
  position: relative;
  display: grid;
  grid-template-columns: 10% 24% 5% 24% 1% 30%;
  gap: 1%;
  align-items: center;
}

.main-search input[type="date"] {
  width: 100%;
}

.main-search input[type="submit"] {
  width: 100%;
}

#main-sort {
  display: grid;
  grid-template-columns: 24% 24% 24% 24%;
  gap: 1%;
  margin-top: 1%;
}

#main-sort input[type="submit"] {
  width: 100%;
  height: 40px;
}

/* scroll to top */
#scroll-to-top {
  display: block;
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 4;
  font-size: 16px;
  border: none;
  outline: none;

  background-color: rgb(189, 61, 29);
  background: linear-gradient(to bottom, rgb(223, 79, 43), rgb(170, 53, 23));
  color: white;

  font-family: "Aldrich", "Times New Roman", Times, serif;
  padding: 15px;
  border-radius: 4px;
  opacity: 0;
  transition: all 0.3s;
  cursor: pointer;
}

#scroll-to-top:hover {
  background-color: #555;
}

/* Previous and Next Buttons */
.page-change {
  display: flex;
  justify-content: center;
}

.page-change li {
  text-decoration: none;
  display: inline-block;
  padding: 8px 16px;
  transition: all 0.3s;
}

.page-change-button {
  background-color: #f1f1f1;
  color: black;
}
.page-change-button:hover {
  background-color: #ddd;
}
.page-change-button:active {
  background-color: #aaa;
}

.page-change-round {
  border-radius: 50%;
}

/* modals */
.modal-main {
  top: 50%;
  left: 50%;
  position: fixed;
  transform: translate(-50%, -50%);
  min-width: 340px;

  padding: 20px 40px;
  border-radius: 10px;
  background-color: white;
  background: linear-gradient(
    to bottom,
    rgb(231, 231, 231) 40%,
    rgb(202, 202, 202) 80%,
    rgb(189, 189, 189) 90%
  );
  z-index: 6;

  transition: all 0.5s;
}

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(3px);
  z-index: 5;

  transition: all 0.3s;
}

.modal-hidden {
  visibility: hidden;
  opacity: 0;
}

.modal-close {
  float: right;
  font-size: 18px;
  cursor: pointer;
}

@media only screen and (max-width: 600px) {
  h4,
  h5 {
    font-size: 11px;
  }
  .main-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas:
      "header"
      "account"
      "date"
      "main"
      "menu"
      "footer";
  }
  .main-area,
  .menu-area {
    margin: 10px;
  }
}

@media only screen and (max-width: 800px) {
  .main-search,
  #main-sort {
    grid-template-columns: 49% 49%;
  }

  #main-sort input[type="submit"] {
    height: 25px;
  }
}
